> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Send charge-now event

> Send notification of a charge now request for an asset.



## OpenAPI

````yaml POST /entities/asset/{asset_id}/event/charge-now
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/asset/{asset_id}/event/charge-now:
    post:
      tags:
        - 4. Assets
      summary: Asset Charge Now Event
      description: Send notification of a charge now request for an asset.
      operationId: asset_charge_now_event_entities_asset__asset_id__event_charge_now_post
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
          name: asset_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChargeNowEventRequest'
        required: true
      responses:
        '200':
          description: Charge now event successfully processed
          content:
            application/json:
              schema: {}
        '404':
          description: Asset not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Server error while processing event
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ChargeNowEventRequest:
      properties:
        end_at:
          type: string
          format: date-time
          title: End At
          description: End time for the charge now request.
      type: object
      required:
        - end_at
      title: ChargeNowEventRequest
      description: Request model for a user's charge now request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````